Creating new host to be deployed on EC2 fails no lack of IPv6 Interface
Target version:    

Difficulty:  Fixed in Releases:  
Description

I am attempting to deploy a new host on Amazon EC2 but the creation fails on the ipv6 address being blank. Putting a fake address

in results in below:

"Create IPv6 DNS record for dev-alexvarden-sbox.aws-eu-west.boohoo.com task failed with the following error: ERF12-2357

[ProxyAPI::ProxyException]: Unable to set DNS entry ([RestClient::BadRequest]: 400 Bad Request) for proxy 

https://foreman.boohoo.aws:8443/dns"

This is a major problem as Amazon VPC does not support IPv6. I need to be able to disable the use of IPv6 or our use of Foreman is

dead in the water.

https://aws.amazon.com/vpc/faqs/

"IP Addressing

Q. What IP address ranges can I use within my VPC?

You can address your VPC from any IPv4 address range, including RFC 1918 or publicly routable IP blocks. Publicly routable IP

blocks are only reachable via the Virtual Private Gateway and cannot be accessed over the Internet through the Internet gateway.

AWS does not advertise customer-owned IP address blocks to the Internet. Additionally, VPCs currently cannot be addressed from

IPv6 IP address ranges."

Please address this as a matter of urgency. This is unusable.

Related issues:

Is duplicate of Foreman - Bug #17187: IPv6 address cannot be blank for CR pro... Closed 11/02/2016

History

#1 - 11/08/2016 04:19 PM - Anonymous

- Status changed from New to Feedback

Paul, could this be a duplicate of #17187? There's a diff to test and that will be in 1.13.2

#2 - 11/09/2016 03:38 AM - Paul  Smyth

It would appear so

#3 - 11/09/2016 03:38 AM - Dominic Cleal

- Is duplicate of Bug #17187: IPv6 address cannot be blank for CR providing IPv4 plus domain with forward DNS added

#4 - 11/09/2016 03:38 AM - Dominic Cleal

- Status changed from Feedback to Duplicate

Thanks for confirming!
